Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.qos
Class ComputeResourceUtilization

    java.lang.Object
      org.jini.rio.qos.ComputeResourceUtilization

All Implemented Interfaces:
  Serializable, Comparable

    public class ComputeResourceUtilization

extends Object
implements Comparable, Serializable

The ComputeResourceUtilization provides a mechanism to represent the utilization of a `ComputeResource`. ComputeResource quantitative behavior is represented by `MeasuredResource` objects. Each MeasuredResource contains a relative value which represents the percentage of the resource being measured. This value is the relative utilization of the resource's usage. The summation of a compute resource's utilization is represented by the utilization property.

See Also:
  Serialized Form

Constructor Summary
`ComputeResourceUtilization(String description, String hostName, String address, Double utilization, Map<String,Double> uMap)` Construct a ComputeResourceUtilization

Method Summary
`int` | `compareTo(Object o)` Compares this ResourceCapability object with another ComputeResourceUtilization object for order using the computed utilization of the ComputeResourceUtilization
`String` | `getAddress()` Get the address the compute resource is bound to
`String` | `getDescription()` Get the description
`String` | `getHostName()` Get the hostname
`Double` | `getUtilization()` Get the utilization value, a summation of the measured resources
`Map<String,Double>` | `getUtilizationMap()` Ghe Map of measurable capability utilization values
`void` | `setAddress(String address)` Set the address the compute resource is bound to
`void` | `setDescription(String description)` Set the description
`void` | `setHostName(String hostName)` Set the hostname
`void` | `setUtilizationMap(Map<String,Double> utilizationMap)` Set the Map of measurable capability utilization values
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComputeResourceUtilization

    public ComputeResourceUtilization(String description,
                                      String hostName,
                                      String address,
                                      Double utilization,
                                      Map<String,Double> uMap)

  Construct a ComputeResourceUtilization

  Parameters:
    `description` - A description for the resource
    `hostName` - The host name of the ComputeResource
    `address` - IP address of the ComputeResource
    `utilization` - Composite utilization of the ComputeResource
    `uMap` - Map of name, value pairs corresponding to whats being measured on the compute resource

Method Detail

### getDescription

    public String getDescription()

  Get the description

  Returns:
    The description

### setDescription

    public void setDescription(String description)

  Set the description

  Parameters:
    `description` - The description

### getHostName

    public String getHostName()

  Get the hostname

  Returns:
    The hostname

### setHostName

    public void setHostName(String hostName)

  Set the hostname

  Parameters:
    `hostName` - The hostname

### getAddress

    public String getAddress()

  Get the address the compute resource is bound to

  Returns:
    The host adress

### setAddress

    public void setAddress(String address)

  Set the address the compute resource is bound to

  Parameters:
    `address` - The address the compute resource is bound to

### getUtilization

    public Double getUtilization()

  Get the utilization value, a summation of the measured resources

  Returns:
    The utilization value

### getUtilizationMap

    public Map<String,Double> getUtilizationMap()

  Ghe Map of measurable capability utilization values

  Returns:
    The Map of measurable capability utilization values

### setUtilizationMap

    public void setUtilizationMap(Map<String,Double> utilizationMap)

  Set the Map of measurable capability utilization values

  Parameters:
    `utilizationMap` - The Map of measurable capability utilization values

### compareTo

    public int compareTo(Object o)

  Compares this ResourceCapability object with another ComputeResourceUtilization object for order using the computed utilization of the ComputeResourceUtilization

  Specified by:
    `compareTo` in interface `Comparable`
  Parameters:
    `o` - Object to compare to

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.